import * as $dara from '@darabonba/typescript';
import { DeleteVSwitchCidrReservationResponseBody } from "./DeleteVswitchCidrReservationResponseBody";
export declare class DeleteVSwitchCidrReservationResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeleteVSwitchCidrReservationResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
